package com.jorpelu.ServicioDeProductos.dao;

import com.jorpelu.ServicioDeProductos.model.Producto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;

@Service
public class ProductoService{
    @Autowired
    private ProductosDao productoDAO;

    public Producto productoByPosition(int pos){
        return productoDAO.findByIndex(pos);
    }
    public void insert(Producto producto){
        productoDAO.insert(producto);
    }
    public void edit(int pos, Producto producto){
        productoDAO.edit(pos,producto);
    }
    public void delete(int pos){
        productoDAO.delete(pos);
    }
    public void delete(Producto producto){
        productoDAO.delete(producto);
    }
    public Collection<Producto> productoList(){
        return productoDAO.findAll();
    }

}


